
html, body {
    height: 100%;
    font-size: 14px;
}

body {
    display: flex;
    flex-direction: column;
}

header {
    background-color: #f8f9fa;
    padding: 1rem;
}

main {
    flex-grow: 1;
    width:100%;
    height:100%;
    /*padding: 1rem;*/
}

footer {
    background-color: #f8f9fa;
}

#footer {
    position: absolute !important;
    bottom: 0 !important;
    width: 100% !important;
    height: 3rem !important; /* Footer height */
    padding: 10px !important;
    flex-shrink: 0 !important;
}

.js-select-multiple {
    min-height: 100px !important;
}

@media (max-width: 992px) {
    .grid-container {
        margin-top: 1rem;
    }
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }

    .select2-container {
        width: 100% !important;
        min-width: 100% !important;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

@media (max-width: 1000px) {
    #navbarHeader {
        display: none; /* Nascondi la navbar sotto una certa Larghezza */
    }
}

.button-group-datatables {
    display: flex;
    gap: 4px; /* Aggiungi uno spazio di 4px tra i bottoni */
}


.dataTable {
    font-family: 'Arial', sans-serif;
    font-size: 12px;
}

.cust-ellipsis-cell {
    max-width: 200px;
    position: relative;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: flex;
    align-items: center;
}

.col-fix {
    min-width: 200px;
    max-width: 200px;
    white-space: normal !important;
    word-wrap: break-word;
    word-break: break-word;
}

.select2-container {
    width: 100% !important;
}

    /* Sistema l'altezza del dropdown */
    .select2-container .select2-selection--multiple {
        /*min-height: 100px !important;*/
        height: auto;
    }

/* Assicura che il contenitore interno prenda tutta la Larghezza */
.select2-container--default .select2-selection--multiple {
    width: 98% !important;
    padding: 2px 4px 4px 2px;
}

/* Rendi responsivo il dropdown */
/*.select2-dropdown {
    width: auto !important
}*/

/* Sistema il contenitore del form-group */
.form-group {
    width: 100%;
}

.select2-container--default .select2-results__option--highlighted[aria-selected=true] {
    background-color: #e3f2fd !important;
    color: black !important;
}

.dataTables_processing {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 40px;
    margin-left: -50%;
    margin-top: -25px;
    padding: 0 20px;
    text-align: center;
    font-size: 1.2em;
    background-color: rgba(255, 255, 255, 0.9);
    z-index: 99;
}

#loadingOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    z-index: 9999;
}

#loadingSpinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.compact-list {
    font-family: monospace;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.list-header, .list-row {
    display: flex;
    border-bottom: 1px solid #ccc;
}

.list-header {
    font-weight: bold;
    background-color: #f9f9f9;
}

.list-row {
    align-items: center;
}

    .list-header span, .list-row span {
        flex: 1; /* Le colonne occupano lo stesso spazio */
        text-align: left;
        padding: 4px 8px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

/* Larghezze uniformi per ogni colonna */
.col-marchio, .col-lunghezza, .col-larghezza,
.col-spessore, .col-volume, .col-quantita,
.col-quantitaResidua, .col-certificazione,
.col-provenienza, .col-fornitore,
.col-prezzoListinoD, .col-prezzoListino {
    flex: 0 0 160px; /* Imposta una larghezza fissa di 160px */
}

.dt-column-title {
    white-space: normal !important;
    display: inline-block;
}